Subject: bug#12507: [debbugs-tracker] Processed: severity 12507 wishlist

From: Thierry Volpiatto <[email-masked]>
Date: Thu, 27 Sep 2012 07:38:20 +0200

Stefan Monnier <[email-masked]> writes:

>>   ;; Don't use write-file; we don't want this buffer to visit it.
>
> After write-file, the buffer is marked as visiting that file, which
> affects the behavior of C-x C-f and a lot more (e.g. asks the user
> for confirmation if the file was modified by some other process, ...).
What about improving write-region to use backup when needed?
Possibly writing a new write-region-something function that handle
backup, or a write-file-noselect function.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997